=== debian/control ===
Source: ros-indigo-ubiquity-motor
Section: misc
Priority: extra
Maintainer: Rohan Agrawal <rohan@aleopile.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-controller-manager, ros-indigo-dynamic-reconfigure, ros-indigo-geometry-msgs, ros-indigo-hardware-interface, ros-indigo-nav-msgs, ros-indigo-roscpp, ros-indigo-serial, ros-indigo-tf
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-ubiquity-motor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-controller-manager, ros-indigo-diff-drive-controller, ros-indigo-dynamic-reconfigure, ros-indigo-geometry-msgs, ros-indigo-hardware-interface, ros-indigo-joint-state-controller, ros-indigo-nav-msgs, ros-indigo-serial, ros-indigo-tf
Description: Provides a ROS interface to Ubiquity Robotics Magni motor controllers
